/* Wrapper */
.journey-wrapper {
  display: flex;
  justify-content: center;
  padding: 12px auto;
  width: 100%;
  overflow-wrap: break-word;
  word-break: break-all;
  background-color: var(--card-bg); 
  border: 1px dotted var(--card-bg);
  border-radius: 12px;

}

/* Track container */
.journey-track {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 50px;
  width: 100%;
  max-width: 1200px;
  position: relative; 
  margin: 12px;
}

/* Horizontal connector line */
.journey-track::before {
  content: "";
  position: absolute;
  top: 22px;
  left: 0;
  right: 0;
  height: 3px;
  background: var(--text-color);
  z-index: 0;
}

/* Each step */
.journey-step {
  text-decoration: none;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  z-index: 0;
  transition: 0.3s ease; 
  padding: 8px;
  border-radius: 8px;
  border: 1px solid var(--main-card-border);
  width: 80px;
  word-break: break-all;
  overflow-wrap: break-word;
  background-color: var(--bg-color);
  color: var(--bg-color);

}
 

/* Circle */
.journey-dot {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  background: var(--bg-color);
  border: 1px solid var(--card-border);
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 600;
  color: #aaa3a3;
  transition: 0.3s ease;
}

/* Label */
.journey-text { 
  color: #9e9a9a;
  margin-top: 8px;
  font-size: 14px;
  text-align: center;
  white-space: normal;
  line-height: 1.4;
}

/* Active state */
.journey-step.active .journey-dot {
  background: var(--button-bg);
  color: var(--text-color);
  transform: scale(1.1);
  border: 1px solid var(--button-border);
}

.journey-step.active, a {
    background-color: var(--button-bg);
}

.journey-step.active .journey-text {
  color: var(--button-text-color);
  font-weight: 600;
}

/* Hover */
.journey-step:hover .journey-dot { 
  color: white;
}

/* Responsive */
@media (max-width: 768px) {
  .journey-track {
    gap: 25px;
  }

  .journey-dot {
    width: 40px;
    height: 40px;
  }

  .journey-text {
    font-size: 12px;
  }
}

@media (max-width: 500px) {
  .journey-track {
    flex-wrap: wrap;
    gap: 35px;
  }

  .journey-track::before {
    display: none;
  }
} 

@media (max-width: 500px) {
.journey-wrapper {
max-height: 200px;
overflow-y: auto;
}
}

.SectionInLine {
    border-top: 1px dotted var(--card-border);
    border-bottom: 1px dotted var(--card-border);
    padding-bottom: 1.5rem;
}